package com.yx.face.dao;

import com.yx.face.boot.component.tk.TKMapper;
import com.yx.face.model.entity.AreaCode;
import com.yx.face.model.vo.AreaCodeVO;
import com.yx.face.model.vo.AreaCodeVOList;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description: 地址编码表(AreaCode)表数据库访问层 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-05-21 13:37:07 <br>
 */

public interface AreaCodeDao extends TKMapper<AreaCode> {

    List<AreaCodeVO> getAddress(@Param("code") Integer code);

    Integer getCodeId(@Param("code") Integer code);

    String getAddressName(@Param("code") Integer code);

    String getAddressAll(@Param("code") Integer code);

    List<Integer> getAddressCode(@Param("code") Integer code);


    Integer getSubAddressCode(@Param("code") Integer code);

    Integer getSupAddressCode(@Param("code") Integer code);

    /*
     * 获取省份列表
     * */
    List<AreaCodeVOList> getProvince();
    /*
     * 获取下一级的城市列表
     * */
    List<AreaCodeVOList> getAreaList(Integer areaCodeId);
    /*
     * 根据区域编码获取信息
     * */
    AreaCodeVO getByCode(Integer code);

    /*
     * 根据区域编码获取信息
     * */
    AreaCode getAreaCode(@Param("name")String name , @Param("type")Integer type , @Param("superCode")String superCode);
}

